Description

Erica Johns at Cornell reports that downloaded zip files do not have file extensions for the data files within the baglt contents.
http://support.nceas.ucsb.edu/rt/Ticket/Display.html?id=12349

| looked at the MN.getPackage() method and we are using the "Entity Name" rather than "Object Name" from the EML record. The
latter usually has the original filename (with extension) whereas the former does not.

We have two options:
- continue to use the Entity Name and look up the file extension using the SM.formatld of the data
- switch to use Object Name

History

#1 - 03/04/2016 10:31 AM - Chris Jones

It seems to me that if the object name is present, we should use it. If not, go with the entity name with an extension lookup.

#2 - 03/04/2016 10:33 AM - ben leinfelder

- Status changed from New to In Progress

Looks like the datamanager library is not parsing the object name from EML, so I've continued to use the entity name and appended the file extension
to that. File extension is based on the SM.formatld of the data file.

#3 - 05/13/2016 03:25 PM - ben leinfelder

- Status changed from In Progress to Closed
